<template>
    <header-component/>
    <main class="main">
        <h1 class="page__title">Канцтоварыч</h1>
        <section class="categories">
            <div class="categories__con">
                <h2 class="categories__title title">Популярные категории</h2>
                <ul class="categories__list">
                    <li class="categories__item">
                        <a href="" class="categories__link">    
                            <img src="/img/бумага.jpg" alt="Бумага" class="categories__img">
                            <p class="categories__name">Бумага</p>
                        </a>
                    </li>
                    <li class="categories__item">
                        <a href="" class="categories__link">
                            <img src="/img/чернила.jpg" alt="Чернила" class="categories__img">
                            <p class="categories__name">Чернила</p>
                        </a>
                    </li>
                    <li class="categories__item">
                        <a href="" class="categories__link">
                            <img src="/img/папки.jpg" alt="Папки" class="categories__img">
                            <p class="categories__name">Папки</p>
                        </a>
                    </li>
                    <li class="categories__item">
                        <a href="" class="categories__link">
                            <img src="/img/степлеры.jpg" alt="Степлеры" class="categories__img">
                            <p class="categories__name">Степлеры</p>
                        </a>
                    </li>
                </ul>
            </div>
        </section>
        <section class="bestsellers">
            <div class="bestsellers__con">
                <h2 class="bestsellers__title title">Хиты продаж</h2>
                <products-list/>
            </div>
        </section>
        <section class="new">
            <div class="new__con">
                <h2 class="new__title title">Лучшие новинки</h2>
                <products-list/>
            </div>
        </section>
    </main>
    <footer-component/>
</template>

<script>
import FooterComponent from '@/components/FooterComponent.vue'
import HeaderComponent from '@/components/HeaderComponent.vue'
import ProductsList from '@/components/ProductsList.vue'
import {mapActions} from 'vuex'
export default {
    components: {
        HeaderComponent,
        FooterComponent,
        ProductsList,
    },
    methods: {
        ...mapActions({
            fetchProducts: 'products/FETCH_PRODUCTS'
        }),
    },
    mounted() {
        this.fetchProducts()
    },
}
</script>

<style>
.new__con {
    max-width: 1440px;
    margin: 0 auto;
}

.logo:hover {
    opacity: 0.7;
}

.page__title {
    visibility: hidden;
}

.title {
    margin-top: 20px;
    margin-bottom: 20px;
    font-size: 28px;
}

.categories__con {
    max-width: 1440px;
    margin: 0 auto;
}

.categories__list {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.categories__link {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.categories__link:hover {
    text-decoration: underline;
}

.categories__img {
    width: 256px;
    height: 182px;
}

.categories__name {
    margin-top: 10px;
}

.bestsellers__con {
    max-width: 1440px;
    margin: 0 auto;
}
</style>